Description

From #53046:

    -  Introduce new Content TS Object: prototype(TYPO3.Neos:Content) < TYPO3.TypoScript:Template
    -  Deprecated TYPO3.Neos:Template: prototype(TYPO3.Neos:Template) < TYPO3.Neos:Content // DEPRECATED
    -  Make Plugin(View) extend Content: prototype(TYPO3.Neos:Plugin) <  TYPO3.Neos:Content

Associated revisions
Revision 98295584 - 2013-12-02 17:09 - Bastian Waidelich

[TASK] Introduce Content TypoScript object

Introduces a new TS object ``TYPO3.Neos:Content`` that should be used
as base for all elements that can be selected in the backend.

This deprecated ``TYPO3.Neos:Template`` in favor of
``TYPO3.TypoScript:Template`` or the new Content object.

Note: This object inherits from TYPO3.TypoScript:Template because most
Content Elements are expected to render a Fluid Template. If this is
not the case, a custom Content Element should still extend from this
prototype and change the ``@class`` property as it's done for the
``TYPO3.Neos:Plugin`` object for example.
Resolves: #54016
Reviewed-on: https://review.typo3.org/25712
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Reviewed-by: Bastian Waidelich
Tested-by: Bastian Waidelich

History
#1 - 2013-11-27 19:50 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25712
#2 - 2013-11-28 19:15 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25712

#3 - 2013-12-02 16:21 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25712

#4 - 2013-12-02 17:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9829558467394e1d3fc2a1ee28fd043602393249.

#5 - 2013-12-04 18:43 - Bastian Waidelich
- Target version set to 1.0 beta 2
